using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TimeClock.DbOp.CustomShow
{
    public partial class DJSDayUI : UserControl
    {
        public DJSDayUI()
        {
            InitializeComponent();
        }
        /// <summary>
        /// 标题名称
        /// </summary>
        [Description("标题名称")]
        public string Title
        {
            get
            {
                return LblName.Text;
            }
            set
            {
                LblName.Text = value;
            }
        }
        /// <summary>
        /// 日期字符串
        /// </summary>
        [Description("日期字符串")]
        public string DateStr
        {
            get
            {
                return LblDateStr.Text;
            }
            set
            {
                LblDateStr.Text = value;
            }
        }
        /// <summary>
        /// 天数
        /// </summary>
        [Description("天数")]
        public string Day
        {
            get
            {
                return LblValue.Text;
            }
            set
            {
                LblValue.Text = value;
                LblValue.Left = label2.Left + label2.Width;
                label1.Left = LblValue.Left + LblValue.Width;
            }
        }
        /// <summary>
        /// 天数前面的字符串
        /// </summary>
        [Description("天数前面的字符串")]
        public string DayBefore
        {
            get
            {
                return label2.Text;
            }
            set
            {
                label2.Text = value;
            }
        }
    }
}
